umbrello: ChildWidgetPlacementPort Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Member Functions | List of all members
ChildWidgetPlacementPort Class Reference

Child widget placement on parent border. More...

`#include <childwidgetplacementport.h>`

Inheritance diagram for ChildWidgetPlacementPort:

## Public Member Functions
| ChildWidgetPlacementPort (PinPortBase *widget)
virtual | ~ChildWidgetPlacementPort ()
virtual void | detectConnectedSide ()
virtual void | setInitialPosition (const QPointF &scenePos=QPointF())
virtual void | setNewPositionWhenMoved (qreal diffX, qreal diffY)
virtual void | setNewPositionOnParentResize ()
Public Member Functions inherited from ChildWidgetPlacement
| ChildWidgetPlacement (PinPortBase *widget)
virtual | ~ChildWidgetPlacement ()

## Private Member Functions
qreal | trimToRange (qreal value, qreal min, qreal max, bool &setToMin, bool &setToMax) const
qreal | minX () const
qreal | maxX () const
qreal | minY () const
qreal | maxY () const

## Additional Inherited Members
Protected Types inherited from ChildWidgetPlacement
enum | ConnectedSide { Undefined , Top , Right , Bottom , Left , TopLeft , TopRight , BottomRight , BottomLeft }
Protected Member Functions inherited from ChildWidgetPlacement
void | setPos (const QPointF &pos)
void | setPos (qreal x, qreal y)
void | setX (qreal x)
void | setY (qreal y)
qreal | x () const
qreal | y () const
qreal | width () const
qreal | height () const
UMLWidget * | ownerWidget () const
Protected Attributes inherited from ChildWidgetPlacement
PinPortBase *const | m_widget
ConnectedSide | m_connectedSide

## Detailed Description

Child widget placement on parent border.

Implementation of child widget placement where child widget is placed onto parent border.

## Constructor & Destructor Documentation

## ◆ ChildWidgetPlacementPort()

ChildWidgetPlacementPort::ChildWidgetPlacementPort | ( | PinPortBase * | widget | ) |

## ◆ ~ChildWidgetPlacementPort()

ChildWidgetPlacementPort::~ChildWidgetPlacementPort | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ detectConnectedSide()

void ChildWidgetPlacementPort::detectConnectedSide | ( |  | ) |
| virtual

Implements ChildWidgetPlacement.

## ◆ maxX()

qreal ChildWidgetPlacementPort::maxX | ( |  | ) | const
| private

Returns maximum allowed x value.

## ◆ maxY()

qreal ChildWidgetPlacementPort::maxY | ( |  | ) | const
| private

Returns maximum allowed y value.

## ◆ minX()

qreal ChildWidgetPlacementPort::minX | ( |  | ) | const
| private

Returns minimum allowed x value.

## ◆ minY()

qreal ChildWidgetPlacementPort::minY | ( |  | ) | const
| private

Returns minimum allowed y value.

## ◆ setInitialPosition()

void ChildWidgetPlacementPort::setInitialPosition | ( | const QPointF & | scenePos = QPointF() | ) |
| virtual

Implements ChildWidgetPlacement.

## ◆ setNewPositionOnParentResize()

void ChildWidgetPlacementPort::setNewPositionOnParentResize | ( |  | ) |
| virtual

Implements ChildWidgetPlacement.

## ◆ setNewPositionWhenMoved()

void ChildWidgetPlacementPort::setNewPositionWhenMoved | ( | qreal | diffX,
|  | qreal | diffY )
| virtual

Implements ChildWidgetPlacement.

## ◆ trimToRange()

qreal ChildWidgetPlacementPort::trimToRange | ( | qreal | value,
|  | qreal | min,
|  | qreal | max,
|  | bool & | setToMin,
|  | bool & | setToMax ) const
| private

Returns value bound between min and max, and flags whether value has been set.

The documentation for this class was generated from the following files:

- umbrello/umlwidgets/childwidgetplacementport.h
- umbrello/umlwidgets/childwidgetplacementport.cpp